Entwurf Anordnung

From FreeCAD Documentation
Revision as of 09:54, 3 February 2017 by Holdi (talk | contribs)

Draft Array

Menu location
Draft → Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
PathArray

Beschreibung

Mit dem Werkzeug Feld (Array) kann ein Objekt mithilfe von Kopien seiner selbst zu Feldern mit linearer oder kreisförmiger Struktur erweitert werden. Lineare Felder können 1- bis 3-dimensional sein: lineare Anordnung in eine (Reihe), zwei (Feld) oder drei (Felder übereinander) Richtungen. Die drei Richtungen sind unabhängig vom internen kartesischen Koordinatensystem und unabhängig voneinander wählbar. Ein polares Feld besteht nur aus auf einem Kreis angeordneten Objektkopien.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button
  3. Select DatenArray Type: Specifies the type of the array, ortho or polar
  4. For orthogonal arrays:
    1. DatenInterval X: The interval between each copy on the first axis
    2. DatenInterval Y: The interval between each copy on the second axis
    3. DatenInterval Z: The interval between each copy on the third axis
    4. DatenNumber X: The number of copies on the first axis
    5. DatenNumber Y: The number of copies on the second axis
    6. DatenNumber Z: The number of copies on the third axis
  5. For polar arrays:
    1. DatenAxis: The normal direction of the array circle
    2. DatenCenter: The center point of the array
    3. DatenAngle: The angle to cover with copies
    4. DatenNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Parametric array

For rectangular array:

makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)